<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>Khepera Library: kb_config.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="kteamdoxy.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Khepera Library
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('kb__config_8h_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">kb_config.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="kb__config_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*--------------------------------------------------------------------</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * kb_config.h - KoreBot Library - Configuration Handling</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *--------------------------------------------------------------------</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * $Id: kb_config.h,v 1.3 2004/09/22 08:29:14 pbureau Exp $</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *--------------------------------------------------------------------</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * $Author: pbureau $</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * $Revision: 1.3 $</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * $Date: 2004/09/22 08:29:14 $</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#ifndef __kb_config__</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor"></span><span class="preprocessor">#define __kb_config__</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="kb__config_8h.html#aed87825e2d630894a9ebce0ff75bfaf3">   18</a></span>&#160;<span class="preprocessor">#define KB_CONFIG_DIR_INTERNAL KB_CONFIG_DIRECTORY &quot;/&quot;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">/*--------------------------------------------------------------------</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * Device Class Definition</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="kb__config_8h.html#a5e0a6f5ccd00f26e3be9e7067cd8560e">   25</a></span>&#160;<span class="preprocessor">#define KB_DEVICE_CLASS_ANY      -1</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="kb__config_8h.html#af60a99030c448ab823ab478e9f4e880c">   28</a></span>&#160;<span class="preprocessor">#define KB_DEVICE_CLASS_I2C       0 </span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="kb__config_8h.html#a2fb5f7b59a4c1ed46beb4e49f5cba996">   31</a></span>&#160;<span class="preprocessor">#define KB_DEVICE_CLASS_SPI       1</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="kb__config_8h.html#acc89ce0e70e7a257077f6adf6b35fb9a">   34</a></span>&#160;<span class="preprocessor">#define KB_DEVICE_CLASS_MODULE    2</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="kb__config_8h.html#a92de2580e355ba1671a1ff6eb2c573d5">   37</a></span>&#160;<span class="preprocessor">#define KB_DEVICE_CLASS_RS232     3</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="kb__config_8h.html#ab7bec2712e7e0b7def013fa599db6336">   40</a></span>&#160;<span class="preprocessor">#define KB_DEVICE_MAX_CLASS       4 </span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="structkb__section__config__s.html">   45</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structkb__section__config__s.html">kb_section_config_s</a> </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;{</div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="structkb__section__config__s.html#aad5dddf2083fbb27d5a78efa14669f21">   48</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="structkb__section__config__s.html#aad5dddf2083fbb27d5a78efa14669f21">module_bus</a>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="structkb__section__config__s.html#a4e019a198c35e99e1385bb9a9aff2213">   51</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="structkb__section__config__s.html#a4e019a198c35e99e1385bb9a9aff2213">module_bus_addr</a>;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="structkb__section__config__s.html#a6521eaaa117a399953bfa5c1b840ebc7">   54</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>  <a class="code" href="structkb__section__config__s.html#a6521eaaa117a399953bfa5c1b840ebc7">device_count</a>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="structkb__section__config__s.html#a349bb458b0d9d453ac29cc101c78e5cf">   57</a></span>&#160;  <a class="code" href="structkb__symbol__s.html">kb_symbol_t</a> * <a class="code" href="structkb__section__config__s.html#a349bb458b0d9d453ac29cc101c78e5cf">devices</a>;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div>
<div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="structkb__section__config__s.html#a096465d96b4dd820321c4fc7a4dd4e29">   60</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>  <a class="code" href="structkb__section__config__s.html#a096465d96b4dd820321c4fc7a4dd4e29">register_count</a>;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="structkb__section__config__s.html#a88cea4804ec7e7c7695d3512d763604d">   63</a></span>&#160;  <a class="code" href="structkb__symbol__s.html">kb_symbol_t</a> * <a class="code" href="structkb__section__config__s.html#a88cea4804ec7e7c7695d3512d763604d">registers</a>;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="structkb__section__config__s.html#a7a8e848f8313b88ddc5478e96758fabd">   66</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>  <a class="code" href="structkb__section__config__s.html#a7a8e848f8313b88ddc5478e96758fabd">alias_count</a>;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
<div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="structkb__section__config__s.html#ac527a523ab7470aea79fc3f2f93adf78">   69</a></span>&#160;  <a class="code" href="structkb__symbol__s.html">kb_symbol_t</a> * <a class="code" href="structkb__section__config__s.html#ac527a523ab7470aea79fc3f2f93adf78">aliases</a>;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div>
<div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="structkb__section__config__s.html#a2958bded03f46f957a95b598cf354e37">   72</a></span>&#160;  <a class="code" href="structkb__symbol__s.html">kb_symbol_t</a> * <a class="code" href="structkb__section__config__s.html#a2958bded03f46f957a95b598cf354e37">next</a>;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;}</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<a class="code" href="kb__config_8h.html#aaf14de6cee6df3ee91e2fe722333801a">kb_section_config_t</a>;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="structkb__device__config__s.html">   79</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structkb__device__config__s.html">kb_device_config_s</a> </div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;{</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <span class="keyword">struct </span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;  {</div>
<div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="structkb__device__config__s.html#ab2a6bd56a77a9f83760694cc8fdeeb87">   84</a></span>&#160;    <span class="keywordtype">int</span>   <a class="code" href="structkb__device__config__s.html#ab2a6bd56a77a9f83760694cc8fdeeb87">defined</a>;</div>
<div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="structkb__device__config__s.html#a6035b2ca4752bb88278400ae7847643d">   85</a></span>&#160;    <span class="keywordtype">int</span>   <a class="code" href="structkb__device__config__s.html#a6035b2ca4752bb88278400ae7847643d">address</a>;</div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="structkb__device__config__s.html#a9f9e5e74e5ef1b33b88a7493d8d672c0">   86</a></span>&#160;    <span class="keywordtype">char</span>  <a class="code" href="structkb__device__config__s.html#a9f9e5e74e5ef1b33b88a7493d8d672c0">device_name</a>[ <a class="code" href="kb__symbol_8h.html#af6e58062f2d54a8b9aff126b8ec2caf2">KB_SYMBOL_NAME_SIZE</a> ];</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  }</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <a class="code" href="structkb__device__config__s.html#a20134f03f8835e5b0a87d8cc6482f1d5">kclass</a>[ <a class="code" href="kb__config_8h.html#ab7bec2712e7e0b7def013fa599db6336">KB_DEVICE_MAX_CLASS</a> ];</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
<div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="structkb__device__config__s.html#a4608d7111d634ececa32bc51babf5036">   91</a></span>&#160;  <a class="code" href="structkb__symbol__s.html">kb_symbol_t</a> * <a class="code" href="structkb__device__config__s.html#a4608d7111d634ececa32bc51babf5036">next</a>;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div>
<div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="structkb__device__config__s.html#aa655e7cba5ca44bc2fbe1efef4d928d3">   94</a></span>&#160;  <a class="code" href="structkb__section__config__s.html">kb_section_config_t</a> * <a class="code" href="structkb__device__config__s.html#aa655e7cba5ca44bc2fbe1efef4d928d3">section</a>;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;}</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<a class="code" href="kb__config_8h.html#afaf87486126127c4070660110c2b15c6">kb_device_config_t</a>;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="structkb__register__config__s.html">  101</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structkb__register__config__s.html">kb_register_config_s</a> </div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;{</div>
<div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="structkb__register__config__s.html#af771e749c2b5d2abbec033294038cf29">  104</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="structkb__register__config__s.html#af771e749c2b5d2abbec033294038cf29">value</a>;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  </div>
<div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="structkb__register__config__s.html#aa2df5fde41f6774ce3bf69a903c9d3cb">  107</a></span>&#160;  <a class="code" href="structkb__symbol__s.html">kb_symbol_t</a> * <a class="code" href="structkb__register__config__s.html#aa2df5fde41f6774ce3bf69a903c9d3cb">next</a>;</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;}</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<a class="code" href="kb__config_8h.html#af2ed05e4bd1d2537dd58ea2acfd2ee73">kb_register_config_t</a>;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00114"></a><span class="lineno"><a class="line" href="structkb__alias__config__s.html">  114</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structkb__alias__config__s.html">kb_alias_config_s</a></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;{</div>
<div class="line"><a name="l00117"></a><span class="lineno"><a class="line" href="structkb__alias__config__s.html#a2bc67b7e83fa778f2ebd7bd075bbe334">  117</a></span>&#160;  <span class="keywordtype">char</span>  <a class="code" href="structkb__alias__config__s.html#a2bc67b7e83fa778f2ebd7bd075bbe334">name</a>[ <a class="code" href="kb__symbol_8h.html#af6e58062f2d54a8b9aff126b8ec2caf2">KB_SYMBOL_NAME_SIZE</a> ];</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div>
<div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="structkb__alias__config__s.html#acbff3d272f20c6222d3599a95b156242">  120</a></span>&#160;  <a class="code" href="structkb__symbol__s.html">kb_symbol_t</a> * <a class="code" href="structkb__alias__config__s.html#acbff3d272f20c6222d3599a95b156242">ptr</a>;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div>
<div class="line"><a name="l00123"></a><span class="lineno"><a class="line" href="structkb__alias__config__s.html#afc1ece0b2115ea3b5bc3af43a19255c8">  123</a></span>&#160;  <a class="code" href="structkb__symbol__s.html">kb_symbol_t</a> * <a class="code" href="structkb__alias__config__s.html#afc1ece0b2115ea3b5bc3af43a19255c8">next</a>;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;}</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<a class="code" href="kb__config_8h.html#a8270fc052712fb849c15e4714802427e">kb_alias_config_t</a>;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="comment">/*--------------------------------------------------------------------</span></div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="comment"> * Prototype Declaration</span></div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">int</span>           <a class="code" href="kb__config_8h.html#a37d877a60e61f05a022144e615073a24">kb_config_init</a>( <span class="keywordtype">int</span> argc , <span class="keywordtype">char</span> * argv[] );</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">void</span>          <a class="code" href="kb__config_8h.html#a926246be81a30dc96c00c5894ee89eda">kb_config_exit</a>( <span class="keywordtype">void</span> );</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;<span class="keyword">extern</span> <a class="code" href="structkb__device__config__s.html">kb_device_config_t</a> *   <a class="code" href="kb__config_8h.html#a0b27917fe2598af359acfa8feb9cf919">kb_lookup_device</a>( <span class="keyword">const</span> <span class="keywordtype">char</span> * name );</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="keyword">extern</span> <a class="code" href="structkb__register__config__s.html">kb_register_config_t</a> * <a class="code" href="kb__config_8h.html#a13601ca6cb2dc1d8185d21b302b4f495">kb_lookup_register</a>( <span class="keyword">const</span> <span class="keywordtype">char</span> * name );</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">int</span>           <a class="code" href="kb__config_8h.html#aeae8d52f8fbbb3f6f4f4b6c2fc39aaf0">kb_parse_config_file</a>( <span class="keyword">const</span> <span class="keywordtype">char</span> * file );</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">int</span>           <a class="code" href="kb__config_8h.html#aae6f1bf4b9bf00062a1ff6eab4146ee2">kb_enum_section</a>( <span class="keywordtype">int</span> (*func)( <span class="keyword">const</span> <span class="keywordtype">char</span> * name , </div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;                                                   <a class="code" href="structkb__section__config__s.html">kb_section_config_t</a> * section ,</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;                                                   <span class="keywordtype">void</span> * context ) ,</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;                                      <span class="keywordtype">void</span> * context );</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">int</span>          <a class="code" href="kb__config_8h.html#a125520e21dbb6b82be57a0d5b0e7f26c">kb_enum_alias</a>( <span class="keyword">const</span> <span class="keywordtype">char</span> * section ,</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;                                   <span class="keywordtype">int</span> (*func)( <span class="keyword">const</span> <span class="keywordtype">char</span> * name ,</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;                                                <a class="code" href="structkb__alias__config__s.html">kb_alias_config_t</a> * alias ,</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;                                                <span class="keywordtype">void</span> * context ) ,</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;                                   <span class="keywordtype">void</span> * context );</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">int</span>           <a class="code" href="kb__config_8h.html#a821214c1409c7b3b9c3212b22f87fad8">kb_enum_device</a>( <span class="keyword">const</span> <span class="keywordtype">char</span> * section ,</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;                                     <span class="keywordtype">int</span> (*func)( <span class="keyword">const</span> <span class="keywordtype">char</span> * name , </div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;                                                  <a class="code" href="structkb__device__config__s.html">kb_device_config_t</a> * device , </div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;                                                  <span class="keywordtype">void</span> * context ) ,</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;                                     <span class="keywordtype">void</span> * context );</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">int</span>           <a class="code" href="kb__config_8h.html#acb7c12bde87e40baa505c9cb25cef993">kb_enum_register</a>( <span class="keyword">const</span> <span class="keywordtype">char</span> * section ,</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;                                       <span class="keywordtype">int</span> (*func)( <span class="keyword">const</span> <span class="keywordtype">char</span> * name ,</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;                                                    <a class="code" href="structkb__register__config__s.html">kb_register_config_t</a> * reg ,</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;                                                    <span class="keywordtype">void</span> * context ) ,</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;                                       <span class="keywordtype">void</span> * context );</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* __kb_config__ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="kb__symbol_8h_html_af6e58062f2d54a8b9aff126b8ec2caf2"><div class="ttname"><a href="kb__symbol_8h.html#af6e58062f2d54a8b9aff126b8ec2caf2">KB_SYMBOL_NAME_SIZE</a></div><div class="ttdeci">#define KB_SYMBOL_NAME_SIZE</div><div class="ttdef"><b>Definition:</b> <a href="kb__symbol_8h_source.html#l00022">kb_symbol.h:22</a></div></div>
<div class="ttc" id="kb__config_8h_html_a37d877a60e61f05a022144e615073a24"><div class="ttname"><a href="kb__config_8h.html#a37d877a60e61f05a022144e615073a24">kb_config_init</a></div><div class="ttdeci">int kb_config_init(int argc, char *argv[])</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8c_source.html#l00078">kb_config.c:78</a></div></div>
<div class="ttc" id="structkb__symbol__s_html"><div class="ttname"><a href="structkb__symbol__s.html">kb_symbol_s</a></div><div class="ttdef"><b>Definition:</b> <a href="kb__symbol_8h_source.html#l00028">kb_symbol.h:28</a></div></div>
<div class="ttc" id="structkb__section__config__s_html_a4e019a198c35e99e1385bb9a9aff2213"><div class="ttname"><a href="structkb__section__config__s.html#a4e019a198c35e99e1385bb9a9aff2213">kb_section_config_s::module_bus_addr</a></div><div class="ttdeci">int module_bus_addr</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00051">kb_config.h:51</a></div></div>
<div class="ttc" id="kb__config_8h_html_aeae8d52f8fbbb3f6f4f4b6c2fc39aaf0"><div class="ttname"><a href="kb__config_8h.html#aeae8d52f8fbbb3f6f4f4b6c2fc39aaf0">kb_parse_config_file</a></div><div class="ttdeci">int kb_parse_config_file(const char *file)</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8c_source.html#l00848">kb_config.c:848</a></div></div>
<div class="ttc" id="structkb__device__config__s_html_a20134f03f8835e5b0a87d8cc6482f1d5"><div class="ttname"><a href="structkb__device__config__s.html#a20134f03f8835e5b0a87d8cc6482f1d5">kb_device_config_s::kclass</a></div><div class="ttdeci">struct kb_device_config_s::@1 kclass[KB_DEVICE_MAX_CLASS]</div></div>
<div class="ttc" id="kb__config_8h_html_a0b27917fe2598af359acfa8feb9cf919"><div class="ttname"><a href="kb__config_8h.html#a0b27917fe2598af359acfa8feb9cf919">kb_lookup_device</a></div><div class="ttdeci">kb_device_config_t * kb_lookup_device(const char *name)</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8c_source.html#l00137">kb_config.c:137</a></div></div>
<div class="ttc" id="structkb__section__config__s_html_a6521eaaa117a399953bfa5c1b840ebc7"><div class="ttname"><a href="structkb__section__config__s.html#a6521eaaa117a399953bfa5c1b840ebc7">kb_section_config_s::device_count</a></div><div class="ttdeci">unsigned int device_count</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00054">kb_config.h:54</a></div></div>
<div class="ttc" id="structkb__alias__config__s_html_afc1ece0b2115ea3b5bc3af43a19255c8"><div class="ttname"><a href="structkb__alias__config__s.html#afc1ece0b2115ea3b5bc3af43a19255c8">kb_alias_config_s::next</a></div><div class="ttdeci">kb_symbol_t * next</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00123">kb_config.h:123</a></div></div>
<div class="ttc" id="kb__config_8h_html_a13601ca6cb2dc1d8185d21b302b4f495"><div class="ttname"><a href="kb__config_8h.html#a13601ca6cb2dc1d8185d21b302b4f495">kb_lookup_register</a></div><div class="ttdeci">kb_register_config_t * kb_lookup_register(const char *name)</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8c_source.html#l00175">kb_config.c:175</a></div></div>
<div class="ttc" id="structkb__section__config__s_html_ac527a523ab7470aea79fc3f2f93adf78"><div class="ttname"><a href="structkb__section__config__s.html#ac527a523ab7470aea79fc3f2f93adf78">kb_section_config_s::aliases</a></div><div class="ttdeci">kb_symbol_t * aliases</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00069">kb_config.h:69</a></div></div>
<div class="ttc" id="kb__config_8h_html_a8270fc052712fb849c15e4714802427e"><div class="ttname"><a href="kb__config_8h.html#a8270fc052712fb849c15e4714802427e">kb_alias_config_t</a></div><div class="ttdeci">struct kb_alias_config_s kb_alias_config_t</div></div>
<div class="ttc" id="structkb__alias__config__s_html_a2bc67b7e83fa778f2ebd7bd075bbe334"><div class="ttname"><a href="structkb__alias__config__s.html#a2bc67b7e83fa778f2ebd7bd075bbe334">kb_alias_config_s::name</a></div><div class="ttdeci">char name[KB_SYMBOL_NAME_SIZE]</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00117">kb_config.h:117</a></div></div>
<div class="ttc" id="structkb__section__config__s_html_a88cea4804ec7e7c7695d3512d763604d"><div class="ttname"><a href="structkb__section__config__s.html#a88cea4804ec7e7c7695d3512d763604d">kb_section_config_s::registers</a></div><div class="ttdeci">kb_symbol_t * registers</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00063">kb_config.h:63</a></div></div>
<div class="ttc" id="structkb__alias__config__s_html"><div class="ttname"><a href="structkb__alias__config__s.html">kb_alias_config_s</a></div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00114">kb_config.h:114</a></div></div>
<div class="ttc" id="structkb__section__config__s_html_a7a8e848f8313b88ddc5478e96758fabd"><div class="ttname"><a href="structkb__section__config__s.html#a7a8e848f8313b88ddc5478e96758fabd">kb_section_config_s::alias_count</a></div><div class="ttdeci">unsigned int alias_count</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00066">kb_config.h:66</a></div></div>
<div class="ttc" id="structkb__register__config__s_html_af771e749c2b5d2abbec033294038cf29"><div class="ttname"><a href="structkb__register__config__s.html#af771e749c2b5d2abbec033294038cf29">kb_register_config_s::value</a></div><div class="ttdeci">int value</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00104">kb_config.h:104</a></div></div>
<div class="ttc" id="structkb__section__config__s_html_aad5dddf2083fbb27d5a78efa14669f21"><div class="ttname"><a href="structkb__section__config__s.html#aad5dddf2083fbb27d5a78efa14669f21">kb_section_config_s::module_bus</a></div><div class="ttdeci">int module_bus</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00048">kb_config.h:48</a></div></div>
<div class="ttc" id="structkb__register__config__s_html_aa2df5fde41f6774ce3bf69a903c9d3cb"><div class="ttname"><a href="structkb__register__config__s.html#aa2df5fde41f6774ce3bf69a903c9d3cb">kb_register_config_s::next</a></div><div class="ttdeci">kb_symbol_t * next</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00107">kb_config.h:107</a></div></div>
<div class="ttc" id="kb__config_8h_html_acb7c12bde87e40baa505c9cb25cef993"><div class="ttname"><a href="kb__config_8h.html#acb7c12bde87e40baa505c9cb25cef993">kb_enum_register</a></div><div class="ttdeci">int kb_enum_register(const char *section, int(*func)(const char *name, kb_register_config_t *reg, void *context), void *context)</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8c_source.html#l01047">kb_config.c:1047</a></div></div>
<div class="ttc" id="structkb__register__config__s_html"><div class="ttname"><a href="structkb__register__config__s.html">kb_register_config_s</a></div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00101">kb_config.h:101</a></div></div>
<div class="ttc" id="structkb__device__config__s_html_ab2a6bd56a77a9f83760694cc8fdeeb87"><div class="ttname"><a href="structkb__device__config__s.html#ab2a6bd56a77a9f83760694cc8fdeeb87">kb_device_config_s::defined</a></div><div class="ttdeci">int defined</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00084">kb_config.h:84</a></div></div>
<div class="ttc" id="structkb__section__config__s_html_a2958bded03f46f957a95b598cf354e37"><div class="ttname"><a href="structkb__section__config__s.html#a2958bded03f46f957a95b598cf354e37">kb_section_config_s::next</a></div><div class="ttdeci">kb_symbol_t * next</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00072">kb_config.h:72</a></div></div>
<div class="ttc" id="structkb__section__config__s_html_a349bb458b0d9d453ac29cc101c78e5cf"><div class="ttname"><a href="structkb__section__config__s.html#a349bb458b0d9d453ac29cc101c78e5cf">kb_section_config_s::devices</a></div><div class="ttdeci">kb_symbol_t * devices</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00057">kb_config.h:57</a></div></div>
<div class="ttc" id="structkb__section__config__s_html"><div class="ttname"><a href="structkb__section__config__s.html">kb_section_config_s</a></div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00045">kb_config.h:45</a></div></div>
<div class="ttc" id="kb__config_8h_html_ab7bec2712e7e0b7def013fa599db6336"><div class="ttname"><a href="kb__config_8h.html#ab7bec2712e7e0b7def013fa599db6336">KB_DEVICE_MAX_CLASS</a></div><div class="ttdeci">#define KB_DEVICE_MAX_CLASS</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00040">kb_config.h:40</a></div></div>
<div class="ttc" id="structkb__device__config__s_html_a9f9e5e74e5ef1b33b88a7493d8d672c0"><div class="ttname"><a href="structkb__device__config__s.html#a9f9e5e74e5ef1b33b88a7493d8d672c0">kb_device_config_s::device_name</a></div><div class="ttdeci">char device_name[KB_SYMBOL_NAME_SIZE]</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00086">kb_config.h:86</a></div></div>
<div class="ttc" id="kb__config_8h_html_a821214c1409c7b3b9c3212b22f87fad8"><div class="ttname"><a href="kb__config_8h.html#a821214c1409c7b3b9c3212b22f87fad8">kb_enum_device</a></div><div class="ttdeci">int kb_enum_device(const char *section, int(*func)(const char *name, kb_device_config_t *device, void *context), void *context)</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8c_source.html#l00997">kb_config.c:997</a></div></div>
<div class="ttc" id="structkb__section__config__s_html_a096465d96b4dd820321c4fc7a4dd4e29"><div class="ttname"><a href="structkb__section__config__s.html#a096465d96b4dd820321c4fc7a4dd4e29">kb_section_config_s::register_count</a></div><div class="ttdeci">unsigned int register_count</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00060">kb_config.h:60</a></div></div>
<div class="ttc" id="kb__config_8h_html_aaf14de6cee6df3ee91e2fe722333801a"><div class="ttname"><a href="kb__config_8h.html#aaf14de6cee6df3ee91e2fe722333801a">kb_section_config_t</a></div><div class="ttdeci">struct kb_section_config_s kb_section_config_t</div></div>
<div class="ttc" id="kb__config_8h_html_a125520e21dbb6b82be57a0d5b0e7f26c"><div class="ttname"><a href="kb__config_8h.html#a125520e21dbb6b82be57a0d5b0e7f26c">kb_enum_alias</a></div><div class="ttdeci">int kb_enum_alias(const char *section, int(*func)(const char *name, kb_alias_config_t *alias, void *context), void *context)</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8c_source.html#l00946">kb_config.c:946</a></div></div>
<div class="ttc" id="structkb__device__config__s_html_a6035b2ca4752bb88278400ae7847643d"><div class="ttname"><a href="structkb__device__config__s.html#a6035b2ca4752bb88278400ae7847643d">kb_device_config_s::address</a></div><div class="ttdeci">int address</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00085">kb_config.h:85</a></div></div>
<div class="ttc" id="structkb__alias__config__s_html_acbff3d272f20c6222d3599a95b156242"><div class="ttname"><a href="structkb__alias__config__s.html#acbff3d272f20c6222d3599a95b156242">kb_alias_config_s::ptr</a></div><div class="ttdeci">kb_symbol_t * ptr</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00120">kb_config.h:120</a></div></div>
<div class="ttc" id="kb__config_8h_html_afaf87486126127c4070660110c2b15c6"><div class="ttname"><a href="kb__config_8h.html#afaf87486126127c4070660110c2b15c6">kb_device_config_t</a></div><div class="ttdeci">struct kb_device_config_s kb_device_config_t</div></div>
<div class="ttc" id="kb__config_8h_html_aae6f1bf4b9bf00062a1ff6eab4146ee2"><div class="ttname"><a href="kb__config_8h.html#aae6f1bf4b9bf00062a1ff6eab4146ee2">kb_enum_section</a></div><div class="ttdeci">int kb_enum_section(int(*func)(const char *name, kb_section_config_t *section, void *context), void *context)</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8c_source.html#l00909">kb_config.c:909</a></div></div>
<div class="ttc" id="kb__config_8h_html_af2ed05e4bd1d2537dd58ea2acfd2ee73"><div class="ttname"><a href="kb__config_8h.html#af2ed05e4bd1d2537dd58ea2acfd2ee73">kb_register_config_t</a></div><div class="ttdeci">struct kb_register_config_s kb_register_config_t</div></div>
<div class="ttc" id="structkb__device__config__s_html"><div class="ttname"><a href="structkb__device__config__s.html">kb_device_config_s</a></div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00079">kb_config.h:79</a></div></div>
<div class="ttc" id="structkb__device__config__s_html_a4608d7111d634ececa32bc51babf5036"><div class="ttname"><a href="structkb__device__config__s.html#a4608d7111d634ececa32bc51babf5036">kb_device_config_s::next</a></div><div class="ttdeci">kb_symbol_t * next</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00091">kb_config.h:91</a></div></div>
<div class="ttc" id="kb__config_8h_html_a926246be81a30dc96c00c5894ee89eda"><div class="ttname"><a href="kb__config_8h.html#a926246be81a30dc96c00c5894ee89eda">kb_config_exit</a></div><div class="ttdeci">void kb_config_exit(void)</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8c_source.html#l00123">kb_config.c:123</a></div></div>
<div class="ttc" id="structkb__device__config__s_html_aa655e7cba5ca44bc2fbe1efef4d928d3"><div class="ttname"><a href="structkb__device__config__s.html#aa655e7cba5ca44bc2fbe1efef4d928d3">kb_device_config_s::section</a></div><div class="ttdeci">kb_section_config_t * section</div><div class="ttdef"><b>Definition:</b> <a href="kb__config_8h_source.html#l00094">kb_config.h:94</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="kb__config_8h.html">kb_config.h</a></li>
    <li class="footer">Generated on Wed Jul 6 2016 19:39:17 for Khepera Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.6 </li>
  </ul>
</div>
</body>
</html>
